libvisio::VSDRelQuadBezTo Class Reference documentation

libvisio::VSDRelQuadBezTo Class Reference
Inheritance diagram for libvisio::VSDRelQuadBezTo:

## Public Member Functions
| VSDRelQuadBezTo (unsigned id, unsigned level, const std::optional< double > &x, const std::optional< double > &y, const std::optional< double > &a, const std::optional< double > &b)
| ~VSDRelQuadBezTo () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x
double | m_y
double | m_a
double | m_b

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDRelQuadBezTo()

libvisio::VSDRelQuadBezTo::VSDRelQuadBezTo | ( | unsigned | id,
|  | unsigned | level,
|  | const std::optional< double > & | x,
|  | const std::optional< double > & | y,
|  | const std::optional< double > & | a,
|  | const std::optional< double > & | b )
| inline

Referenced by clone().

## ◆ ~VSDRelQuadBezTo()

libvisio::VSDRelQuadBezTo::~VSDRelQuadBezTo | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDRelQuadBezTo::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDRelQuadBezTo::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_a

double libvisio::VSDRelQuadBezTo::m_a

Referenced by clone(), handle(), and VSDRelQuadBezTo().

## ◆ m_b

double libvisio::VSDRelQuadBezTo::m_b

Referenced by clone(), handle(), and VSDRelQuadBezTo().

## ◆ m_x

double libvisio::VSDRelQuadBezTo::m_x

Referenced by clone(), handle(), and VSDRelQuadBezTo().

## ◆ m_y

double libvisio::VSDRelQuadBezTo::m_y

Referenced by clone(), handle(), and VSDRelQuadBezTo().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp